#!/usr/bin/python
# -*- coding: <UTF-8> -*-

"""
Python Version : 3.6

$LastChangedRevision: 7025 $
$LastChangedDate:: 2023-07-10 17:02:36 +0200#$

This file is part of SyMSpace.

Copyright (c) 2019, Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
All rights reserved.
"""

import uuid

if __name__ == '__main__':
    if __parameter__ == __project__:
        for par in __project__.getParameters('SymParameter'):
            if par.getName() == 'guid':
                guid = str(uuid.uuid4())
                print(f'{par.getIdentifier()} \t<--- {guid}')
                par.setData(guid)
    else:
        __parameter__.setData(str(uuid.uuid4()))
